Package org.eclipse.mat.report

# Enum ITestResult.Status

java.lang.Object
java.lang.Enum<ITestResult.Status>
org.eclipse.mat.report.ITestResult.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ITestResult.Status>`, `java.lang.constant.Constable`

Enclosing interface:
  ITestResult

public static enum ITestResult.Status extends Enum<ITestResult.Status>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`SUCCESS`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static ITestResult.Status`
`max(ITestResult.Status a, ITestResult.Status b)`
Compare two statuses, and return the worst.
`String`
`toString()`
Translatable name for the status.
`static ITestResult.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ITestResult.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUCCESS

public static final ITestResult.Status SUCCESS

### WARNING

public static final ITestResult.Status WARNING

### ERROR

public static final ITestResult.Status ERROR

## Method Details

### values

public static ITestResult.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ITestResult.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Translatable name for the status.

Overrides:
  `toString` in class `Enum<ITestResult.Status>`

### max

public static ITestResult.Status max(ITestResult.Status a, ITestResult.Status b)
Compare two statuses, and return the worst.

Parameters:
  `a` - first status
  `b` - second status
Returns:
  the worst